PCI_BUS_ADD_DEVICES(9)

NAME
pci_bus_add_devices - insert newly discovered PCI devices

SYNOPSIS

void __devinit pci_bus_add_devices (struct pci_bus * bus);

ARGUMENTS

bus bus to check for new devices

DESCRIPTION

Add newly discovered PCI devices (which are on the bus->devices list) to the global PCI device list, add the sysfs and procfs entries. Where a bridge is found, add the discovered bus to the parents list of child buses, and recurse (breadth-first to be compatible with 2.4)

Call hotplug for each new devices.